### org.jfree.layouting.input

# Interface ImageData

All Superinterfaces:
  Serializable

Known Implementing Classes:
  AWTImageData, EmptyImageData

`public interface ImageData`
`extends Serializable`

The image data is used whenever libLayout wants to display graphics content. Graphics content includes drawables and image data - as both are static graphical content.

Author:
  Thomas Morgner

  ## Method Summary

  `void`

  `draw(Graphics2D g2, Rectangle2D area)`
    Draws the object.

  `long`

  `getHeight()`
    Returns the height of the image in micro-dots.

  `Resource`

  `getSource()`
    Returns the resource definition that was used to load the image.

  `long`

  `getWidth()`
    Returns the width of the image in micro-dots.

## Method Details

### draw

    public void draw(Graphics2D g2,
                     Rectangle2D area)

> Draws the object.
> Parameters:
>   `g2` - the graphics device.
>   `area` - the area inside which the object should be drawn.

### getHeight

    public long getHeight()

> Returns the height of the image in micro-dots.
> Returns:

### getSource

    public Resource getSource()

> Returns the resource definition that was used to load the image. Return null, if there was no resource loader involved. (This covers both invalid/empty content and generated content.)
> Returns:

### getWidth

    public long getWidth()

> Returns the width of the image in micro-dots.
> Returns: